base-4.8.2.0: Basic libraries

Copyright | (C) 2014 Herbert Valerio Riedel, (C) 2011 Edward Kmett
License | see libraries/base/LICENSE
Maintainer | libraries@haskell.org
Stability | provisional
Portability | portable
Safe Haskell | Trustworthy
Language | Haskell2010

Numeric.Natural

Description

The arbitrary-precision `Natural` number type.

Since: 4.8.0.0

Synopsis

- data Natural

# Documentation

data Natural

Type representing arbitrary-precision non-negative integers.

Operations whose result would be negative ``throw` (`Underflow` :: `ArithException`)`.

Since: 4.8.0.0

Instances

Enum Natural |
Eq Natural |
Integral Natural |
Data Natural |
Num Natural |
Ord Natural |
Read Natural |
Real Natural |
Show Natural |
Ix Natural |
Bits Natural |
PrintfArg Natural |